#
# spec file for package pidgin-openfetion
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pidgin-openfetion
Version:        0.3
Release:        4.1
Summary:        Pidgin plugin for the Fetion protocol
License:        SUSE-GPL-2.0+-with-openssl-exception
Group:          Productivity/Networking/Instant Messenger
Url:            https://code.google.com/p/ofetion
Source:         %{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(ofetion)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(purple)

%description
This is a Fetion plugin for Pidgin.

Fetion is an IM provided by China Mobile, with features like text
chat, voice call, file sharing, etc.

%package -n libpurple-plugin-openfetion
Summary:        Libpurple plugin for the Fetion protocol
Group:          Productivity/Networking/Instant Messenger
Recommends:     libpurple-plugin-openfetion-lang
Enhances:       libpurple

%description -n libpurple-plugin-openfetion
This is a Fetion plugin for libpurple.

Fetion is an IM provided by China Mobile, with features like text
chat, voice call, file sharing, etc.

%lang_package -n libpurple-plugin-openfetion

%package -n pidgin-plugin-openfetion
Summary:        Pidgin plugin for the Fetion protocol
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple-plugin-openfetion = %{version}
Enhances:       pidgin
Supplements:    packageand(libpurple-plugin-openfetion:pidgin}
# pidgin-openfetion was last used in openSUSE Leap 42.2.
Provides:       pidgin-openfetion = %{version}-%{release}
Obsoletes:      pidgin-openfetion < %{version}-%{release}
BuildArch:      noarch
%requires_ge    pidgin

%description -n pidgin-plugin-openfetion
This is a Fetion plugin for Pidgin.

Fetion is an IM provided by China Mobile, with features like text
chat, voice call, file sharing, etc.

%prep
%setup -q

%build
%cmake \
  -DCMAKE_MODULE_LINKER_FLAGS=''
make %{?_smp_mflags} V=1

%install
%cmake_install
%find_lang pidgin-ofetion %{?no_lang_C}

%files -n libpurple-plugin-openfetion
%defattr(-,root,root)
%{_libdir}/purple-2/libopenfetion.so
%dir %{_datadir}/purple/
%{_datadir}/purple/openfetion/

%files -n libpurple-plugin-openfetion-lang -f pidgin-ofetion.lang
%defattr(-,root,root)

%files -n pidgin-plugin-openfetion
%defattr(-,root,root)
%dir %{_datadir}/pixmaps/pidgin/
%dir %{_datadir}/pixmaps/pidgin/protocols/
%dir %{_datadir}/pixmaps/pidgin/protocols/*/
%{_datadir}/pixmaps/pidgin/protocols/*/openfetion.*

%changelog
* Thu Dec 22 2016 sor.alexei@meowr.ru
- Rename the pidgin-openfetion package to pidgin-plugin-openfetion.
- Require pidgin of the same or greater version.
- Make pidgin-plugin-openfetion noarch.
- Own Pidgin pixmap directories.
- Use the %%cmake macro.
- Spec cleanup.
* Sat Jul 30 2016 zaitor@opensuse.org
- Own dir due to changes in libpurple.
* Tue Mar  6 2012 cfarrell@suse.com
- license update: SUSE-GPL-2.0+-with-openssl-exception
  Package allows linking with openssl. Use SUSE- proprietary prefix
  until license is accepted upstream at spdx.org.
* Fri Feb 17 2012 vuntz@opensuse.org
- Cleanup for inclusion in Factory.
* Wed Feb 15 2012 hillwood@linuxfans.org
- new version 0.3
